#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int m[n][2];
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<2; j++)
        {
            cin>>m[i][j];
        }
    }
    int a[n];
    for(int i=0; i<n; i++)
    {
        a[i]=m[i][0];
    }
    int b[n];
    for(int i=0; i<n; i++)
    {
        b[i]=m[i][1];
    }
    double aa=0;
    for(int i=0; i<n; i++)
    {
        aa=aa+a[i];
    }
    double bb=0;
    for(int i=0; i<n; i++)
    {
        bb=bb+b[i];
    }
    int maxpom=0;
    for(int i=0; i<n; i++)
    {
        maxpom=maxpom+i;
    }
    //cout<<"AA"<<aa;
    //cout<<"BB"<<bb;
    double testa=aa/n;
    double testb=bb/n;
    int aa1=round(aa);
    int bb1=round(bb);
    //cout<<testa<<" "<<testb;
    //cout<<"MAXPOM"<<maxpom;
    int mm=0;
    if(testa==1||testb==1)cout<<maxpom;
    else if(aa==maxpom+n&&bb==maxpom+n)
    {
        if(n==3){
        for(int i=0; i<n; i++)
        {
            for(int j=0; j<2; j++)
            {
                if(m[i][j]==2)mm++;
            }
        }
        if(mm==4)cout<<2;
        else cout<<0;
        }
        else cout<<0;
    }
    else
    {
        if(aa1%n!=0)
        {
            int prosa=0;
            for(int i=0; i<n; i++)
            {
                prosa=prosa+a[i];
            }
            prosa=round(prosa/n);
            int odstupa=0;
            for(int i=0; i<n; i++)
            {
                if(a[i]!=prosa)odstupa=odstupa+abs(a[i]-prosa);
                //cout<<"BROJ:"<<a[i];
            }
            //cout<<"PROSA"<<prosa;
            //cout<<"ODSTUPA"<<odstupa;
            int konacna=maxpom-odstupa;
            if(konacna<0)konacna=konacna*(-1);
            if(konacna==n)konacna=konacna-1;
            cout<<konacna;
            //cout<<"U PRVOJ SAM"<<endl;
        }
        else if(bb1%n!=0)
        {
            int prosb=0;
            for(int i=0; i<n; i++)
            {
                prosb=prosb+b[i];
            }
            prosb=round(prosb/n);
            int odstupb=0;
            for(int i=0; i<n; i++)
            {
                if(b[i]!=prosb)odstupb=odstupb+abs(b[i]-prosb);
            }
            //cout<<"PROSB"<<prosb;
            //cout<<"U DRUGOJ SAM"<<endl;
            int konacnb=maxpom-odstupb;
            if(konacnb<0)konacnb=konacnb*(-1);
            if(konacnb==n)konacnb=konacnb-1;
            cout<<konacnb;
        }
        else cout<<n-1;
    }
    return 0;
}